.faq-block {
    display: flex; 
    flex-direction: column;
    align-items: center;
    gap: 16px;
    margin: 100px auto;
}
.faq-block .faq-item{    
    display: flex;
padding: 20px;
flex-direction: column;
align-items: flex-start;
gap: 0px;
align-self: stretch;
border-radius: 8px;
border: 1px solid var(--d-9-d-9-d-9, #D9D9D9);
background: var(--ffffff, #FFF);
transition: all 0.5s ease-out allow-discrete;
}

.faq-block .faq-item .icon{     
    display: flex;
    justify-content: center;
    align-items: center;
}
.faqTrigger { 
    color: var(--1C1C1C, #1C1C1C);
    font-family: Quicksand !important;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 180%; /* 28.8px */
    letter-spacing: 0.32px;
    margin-top: 0px;
    margin-bottom: 0px;
    position: relative;
}
.faqTrigger::after {
    content: url('data:image/svg+xml,<svg width="20" height="25" viewBox="0 0 20 25" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12 16.9375L8 12.9375L12 8.9375" stroke="%231C1C1C" stroke-width="2" stroke-linecap="round"/></svg>');
    width: 20px;
    height: 24px;
    position: absolute;
    right: 0px;
    top: 0px;
    fill: #1C1C1C;
}
.faqTrigger.active::after { 
    content: url('data:image/svg+xml,<svg width="20" height="25" viewBox="0 0 20 25" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12 16.9375L8 12.9375L12 8.9375" stroke="%23F9816A" stroke-width="2" stroke-linecap="round"/></svg>');
  
    TRANSFORM: rotate(180deg);
    right: 0px;
    top: 0px;
}
.faqTrigger.active { 
    color: var(--Color, #21AE57); 
    letter-spacing: 0.32px;
    padding-bottom: 20px;
    margin-bottom: 20px; 
    border-bottom: 1px solid var(--d-9-d-9-d-9, #D9D9D9); 
}
#faqSection .sectionTextWidth  {
    margin-bottom: 34px;
    position: relative;
    width: 1240px;
}
  
#faqSection .sectionTextWidth h2 {
    color: var(--Color-Gray-Gray-900, #232323);
    text-align: center;
    font-family: Cardo;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 48px */
    margin-top: 0px;
}
#faqSection .sectionTextWidth p {
    color: var(--Color-Pink-1-Pink-1-900, #2F7869);
    text-align: center;
    font-family: Cardo;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%; /* 18px */
}


#faqSection > .sectionTextWidth::before, #faqSection > .sectionTextWidth::after {
    content: "";
    top: 10px;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="400" height="86" viewBox="0 0 400 86" fill="none"><g opacity="0.5"><path d="M199.982 52.0725L159.599 80.4664L118.975 51.9027L125.595 47.0382L158.894 70.4544L159.599 70.9486L160.305 70.4544L193.069 47.414L199.982 52.0674M202.144 52.052L193.053 45.9315L159.594 69.4558L125.574 45.53L116.87 51.9284L159.594 81.9695L202.144 52.052Z" fill="%23D3B89D"/><path d="M361.09 17.27L354.31 22.0366C348.566 18.4848 339.779 18.6392 334.302 22.4896L304.94 43.1313L304.992 43.1621L301.708 45.4734L301.687 45.494L298.372 47.9339L298.295 47.8773L297.59 48.3715L251.941 80.4715L198.777 43.0901L199.009 42.9305L160.31 15.7206L159.605 15.2264L158.899 15.7206L121.816 41.7929L120.385 42.7967L120.802 43.0901L119.69 43.8725L113.745 48.2376L113.616 48.145L112.911 48.6391L81.2641 70.892C73.7538 76.1733 61.5284 76.1733 54.013 70.892L42.2045 62.589L48.9736 57.8326L57.292 63.6802C62.9955 67.6953 72.2765 67.6953 77.98 63.6802L105.427 44.3821L106.858 43.3783L106.451 43.0901L106.878 42.7967L106.827 42.7606L113.431 37.9065L113.622 38.0403L114.327 37.5462L159.605 5.70862L208.717 40.2383L212.624 42.8636L212.542 42.9254L212.779 43.0901L212.542 43.2548L251.241 70.4647L251.946 70.9589L252.652 70.4647L291.428 43.1982L291.382 43.1621L291.531 43.0592L291.505 43.0386L298.12 38.1742L298.3 38.3029L299.005 37.8087L331.028 15.2933C338.538 10.012 350.764 10.012 358.274 15.2933L361.095 17.2803M292.885 34.4937L286.265 39.3581L252.641 15.7154L251.936 15.2213L251.231 15.7154L218.683 38.6014L211.765 33.9532L251.936 5.70862L292.885 34.4988M363.221 17.27L358.974 14.2793C351.062 8.71479 338.224 8.71479 330.313 14.2793L298.29 36.7946L298.094 36.6557L289.508 42.9717L286.332 40.8355L294.99 34.4731L251.936 4.20554L209.597 33.9738L218.698 40.0891L251.936 16.7192L289.39 43.054L289.343 43.0849L289.39 43.121L251.936 69.4558L214.663 43.2497L214.894 43.0849L214.658 42.9202L214.776 42.8378L209.386 39.214L159.589 4.20553L113.606 36.5373L113.4 36.3931L104.701 42.7864L104.701 42.7915L104.443 42.9717L104.289 43.0849L104.706 43.3783L77.2593 62.6765C71.9367 66.4239 63.3043 66.4239 57.9818 62.6765L48.953 56.3296L40.0528 62.5838L53.2872 71.8906C61.199 77.4551 74.0369 77.4551 81.9487 71.8906L113.596 49.6378L113.74 49.7407L120.396 44.8557L122.913 43.0849L122.856 43.0438L122.496 42.7915L159.579 16.7192L196.852 42.9254L196.713 43.0232L196.626 43.0849L196.852 43.2497L251.921 81.9695L298.274 49.3752L298.367 49.4422L302.392 46.4772L307.164 43.121L307.216 43.0849L307.164 43.0541L334.987 23.4934C340.309 19.7511 348.941 19.7511 354.269 23.4934L354.305 23.5243L363.2 17.27L363.221 17.27Z" fill="%23D3B89D"/><path d="M264.81 42.9871L251.936 49.5914L239.098 43.0077L239.139 42.9871L239.098 42.9665L251.936 36.3828L264.81 42.9871ZM267.698 43.0849L267.507 42.9871L267.698 42.8893L267.312 42.8893L251.936 35.0033L236.56 42.8893L236.174 42.8893L236.37 42.9871L236.174 43.0849L236.56 43.0849L251.936 50.971L267.312 43.0849L267.698 43.0849Z" fill="%23D3B89D"/><path d="M172.479 42.9871L159.599 49.5914L146.725 42.9871L159.599 36.3828L172.479 42.9871ZM175.361 43.0849L175.171 42.9871L175.361 42.8893L174.98 42.8893L159.599 35.0033L144.224 42.8893L143.843 42.8893L144.033 42.9871L143.843 43.0849L144.224 43.0849L159.599 50.971L174.98 43.0849L175.361 43.0849Z" fill="%23D3B89D"/><path d="M108.201 34.226L101.592 39.0904L77.98 22.4896C72.2765 18.4797 62.9955 18.4797 57.292 22.4896L49.1074 28.2446L42.3075 23.514L54.013 15.283C61.5233 10.0017 73.7487 10.0017 81.2641 15.283L108.206 34.226M110.307 34.2054L81.9693 14.2793C74.0575 8.71478 61.2195 8.71478 53.3078 14.2793L40.1661 23.5191L49.0919 29.727L49.1125 29.7425L58.0023 23.4934C63.3249 19.7511 71.9573 19.7511 77.2799 23.4934L101.612 40.6038L110.312 34.2054L110.307 34.2054Z" fill="%23D3B89D"/><path d="M24.8213 42.9253L19.5502 46.6573L14.4747 43.0901L19.7612 39.3735L24.8213 42.9305M26.9472 42.9202L19.7561 37.8653L12.3333 43.0849L19.545 48.1553L26.9472 42.9202Z" fill="%23D3B89D"/><path d="M397.807 43.0849L383.775 52.9476L377.016 48.1913L384.279 43.0798L376.98 37.9477L383.723 33.1759L397.812 43.0798M399.943 43.0849L383.718 31.678L374.859 37.9477L374.859 37.958L382.143 43.0849L374.88 48.1964L383.775 54.4507L399.943 43.0849Z" fill="%23D3B89D"/><path d="M393.329 83.6527L334.858 43.0798L392.763 2.36272L392.763 19.3856L359.278 43.0849L360.704 44.0836L393.329 67.0262L393.329 83.6476M394.554 86L394.554 66.393L361.404 43.0849L393.988 20.0239L393.988 -2.60369e-07L332.711 43.0849L394.549 86L394.554 86Z" fill="%23D3B89D"/><path d="M361.306 68.7506L358.269 70.8868C350.759 76.1682 338.533 76.1682 331.018 70.8868L303.592 51.6041L310.201 46.7448L334.297 63.6803C339.83 67.5769 348.746 67.6902 354.485 64.02L361.301 68.7506M363.447 68.7454L354.516 62.5478L354.496 62.5324L354.29 62.6765C348.962 66.4239 340.33 66.4239 335.007 62.6765L310.191 45.2315L301.491 51.6247L330.313 71.8906C338.224 77.4551 351.062 77.4551 358.974 71.8906L363.447 68.7454Z" fill="%23D3B89D"/><path d="M59.6959 42.9151L1.78601 83.6321L1.78601 66.6092L32.2286 45.0616L35.2708 42.9048L1.22491 18.9635L1.22491 2.34726L59.6907 42.9151M61.8424 42.9099L-0.000183105 -1.74846e-05L-0.000183962 19.6018L33.15 42.9099L31.5234 44.063L0.56091 65.976L0.560909 86L61.8321 42.9099L61.8424 42.9099Z" fill="%23D3B89D"/></g></svg>');
    position: absolute;
    top: 0px;
    height: 65px;
    width: 292px;
    background-size: 100%;
    background-repeat: no-repeat;
} 

#faqSection > .sectionTextWidth::before {
left: 0px;
}
#faqSection > .sectionTextWidth::after {
right: 0px;
}


.faq-block .faq-item .icon  img {
    max-width: 100%;
} 
.faq-block .faq-item .content{    
    flex: 0 1 100%;
    display: flex; 
    flex-direction: column;
    justify-content: space-between; 
    width: 100%;
}
.faq-block .anwser {
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease-out;
    opacity: 0;
}
  
.faq-block .anwser.active {
    max-height: 1000px; /* Dostosuj maksymalną wysokość do potrzeb */  
    transition: all 0.5s ease-in;
    opacity: 1;
     
  }
 


@media screen and (max-width: 479px) {
    .faqTrigger { 
        line-height: 26px; 
        width: calc(100% - 28px);
    }
    .faqTrigger::after {
        
    right: -37px;
    }
    .faq-block .faq-item .content { 
        padding: 10px 16px;
        width: calc(100% - 32px);
    }
    .faq-block .faq-item { 
        flex: 0 0 calc(100%); ; 
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
        max-width: 378px;
        margin: auto;
    }
}
